Add json pagination to more places

Bug #1515484 reported by Robert Lyon on 2015-11-12
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
15.10
Medium
Robert Lyon

Bug Description

There are some places in Mahara that do not use json pagination - for some minor places like online users page it's not a big deal

But for places that are used often we should do json pagination

I notice the pages lists do not use json pagination, eg these places

htdocs/admin/site/views.php
htdocs/view/groupviews.php
htdocs/view/index.php
htdocs/view/institutionviews.php

They should use pagination to allow for faster loading of subsequent data

Hello Robert,

For consistency, should all paginators use the same code? Otherwise, we might get into the situation again that we have had until 15.04 where there were at least 3 different implementations.

Thank you
Kristina

Changed in mahara:
status: New → In Progress
Robert Lyon (robertl-9) wrote :

Ok, I'll make all the paginators use the same code

Robert Lyon (robertl-9) wrote :

The others I found that do not have json pagination

htdocs/user/online.php
htdocs/admin/site/fonts.php

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5706

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5714

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5715

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5716

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5717

Dean (deans) wrote :

Site pages pagination seems to break when you select page 1 then 2 and then go back to page 1.

Actual result:
Dashboard template, Group homepage template, profile template and page template options are no longer displayed.

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5726

Dean (deans) wrote :

When I tested portfolio page list pagination I produced a bug on the homepage.

Steps to reproduce:

- Create more than 10 pages in portfolio tab
- Go to homepage
- At the bottom of the homepage there is pagination
- When you select next page then error message is displayed - screen-shot

Dean (deans) wrote :

When I tested pagination for 'online users' I did not have the option to change results per page.

Steps to reproduce:
-Create new users
-Login as each user (or run the update usr set lastaccess = '2015-11-16 10:25:00'; in command line)
-Once you have logged in with more than 10 users click the 'show all online users' from the homepage
-All the users should display here htdocs/user/online.php

Expected Result:
Drop-down box at the bottom of the page where I can change the number results displayed per page

Actual Result:
Page displays with no option to change number of results displayed per page

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5732

Dean (deans) wrote :

When I tested pagination for portfolio/collections I did not have the option to change results per page.

This is also the case for configure site/collections

Steps to reproduce:
-Add more than 10 collections for both examples

Expected result:
Can see drop down box at bottom of the page to change number of results per page

Actual result:
No drop down box is displayed at the bottom of the page

Dean (deans) wrote :

When I add more than 10 journals in configure site/journals then I get two errors

Steps to reproduce:
-Add more than 10 journals in configure site/journals

Expected result:
Pagination displays and drop down box at the bottom of page where i can change the number of results displayed per page

Actual Result:
Pagination disappears when selecting the second page, no drop-down to change number of results displayed per page

Dean (deans) wrote :

When I tested pagination for Content/journals I did not have the option to change results per page.

Steps to reproduce:
-Add more than 10 journals to content/journals page

Expected result:
Can see drop down box at bottom of the page to change number of results per page

Actual result:
No drop down box is displayed at the bottom of the page

Dean (deans) wrote :

When I tested pagination for Groups/My groups I did not have the option to change results per page.

Steps to reproduce:
-Add more than 10 groups to Groups/My groups

Expected result:
Can see drop down box at bottom of the page to change number of results per page

Actual result:
No drop down box is displayed at the bottom of the page

Dean (deans) wrote :

When I tested pagination for content/plans and content/plans/tasks I did not have the option to change results per page.

Steps to reproduce:
-Add more than 10 plans and tasks to content/plans and content/plans/tasks

Expected result:
Can see drop down box at bottom of the page to change number of results per page

Actual result:
No drop down box is displayed at the bottom of the page

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5735

Dean (deans) wrote :

I have retested everything, the list below is what is still broken:

portfolio/collections - no drop-down for results displayed per page
content/journals - no drop-down for results displayed per page
groups/find groups - no drop-down for results displayed per page
groups/my friends - pagination and results disappears when selecting the pagination arrows or numbers
admin/users/suspend and expired users - both expired and suspended options has a different pagination than the rest of the site
admin/groups/administer groups - no drop-down for results displayed per page
admin/institutions/collections - no drop-down for results displayed per page
htdocs/webservice/admin/webservicelogs.php - needs fixing

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/5742

Dean (deans) wrote :

I have retested, here is the things that are currently not working with pagination:

1. Content/journals: when you change the settings to allow multiple journals and then add more than 10 the pagination disappears when you select the number or arrows in the pagination.

2. Groups/my friends: pagination and results disappears when selecting the pagination arrows or numbers

3. htdocs/webservice/admin/webservicelogs.php : pagination and results drop-down displays, but when selecting 10 results per page from the drop-down it only displays 8 results of a total 18.

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5782

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5784

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5785

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5783

Reviewed: https://reviews.mahara.org/5782
Committed: https://git.mahara.org/mahara/mahara/commit/694c04c056a9c2e592cbab04b43669adea4473d0
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 694c04c056a9c2e592cbab04b43669adea4473d0
Author: Robert Lyon <email address hidden>
Date: Thu Nov 26 15:22:28 2015 +1300

Bug 1515484: Unable to change setlimit if url is missing '?'

behatnotneeded

Change-Id: I4b206f1593bb35cadb1d0cdf5761a510855e154a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5783
Committed: https://git.mahara.org/mahara/mahara/commit/223ac68a90332fddc3c6a8cbeedc150b565b82a9
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 223ac68a90332fddc3c6a8cbeedc150b565b82a9
Author: Robert Lyon <email address hidden>
Date: Wed Nov 18 09:54:39 2015 +1300

Bug 1515484: The my views block on dashboard had broken pagination

It was trying to pass an unset $userid - which should really be the
owner of the dashboard page's id

behatnotneeded

Change-Id: I8886f37275b0b7ff9be823a0c3f2b271baf67afc
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5784
Committed: https://git.mahara.org/mahara/mahara/commit/34e86070e87a79ea573b12e30f559987f9da6d7c
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 34e86070e87a79ea573b12e30f559987f9da6d7c
Author: Robert Lyon <email address hidden>
Date: Thu Nov 26 15:50:51 2015 +1300

Bug 1515484: The pagination div was in wrong place

Because the pages were using js-masonary the pagination box stayed at
a fixed place way down the page - a problem if the 2nd page of results
has only 1 items

Now it sits below the results

Change-Id: Ife71a28013c474005219ea3fcfe70095abf919a9
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5785
Committed: https://git.mahara.org/mahara/mahara/commit/eeb4a0fe06ab795b5f7f81f463b31e6ffa95a406
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit eeb4a0fe06ab795b5f7f81f463b31e6ffa95a406
Author: Robert Lyon <email address hidden>
Date: Thu Nov 26 16:06:55 2015 +1300

Bug 1515484: Fixing up webservices logs page

behatnotneeded

Change-Id: I4e83ecd5c2accfbd42b94629338f465f442150d7
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-11-26
no longer affects: mahara/15.10
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5705
Committed: https://git.mahara.org/mahara/mahara/commit/d9d1cd844c236094f3332cb12e2f1ee0300ad16a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d9d1cd844c236094f3332cb12e2f1ee0300ad16a
Author: Robert Lyon <email address hidden>
Date: Fri Nov 13 11:21:03 2015 +1300

Bug 1515484: Fix the site fonts pagination to use json

This is one of 6 patches to standardize pagination

To help test this there is a zip file in Bug 1515774

behatnotneeded

Change-Id: I278ae35cdbe83929cd8eca2b28d1191cab5c3ea6
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5706
Committed: https://git.mahara.org/mahara/mahara/commit/c4d63db65c8e10d91fc4d1f4158d5e79bdd54ca0
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c4d63db65c8e10d91fc4d1f4158d5e79bdd54ca0
Author: Robert Lyon <email address hidden>
Date: Fri Nov 13 11:56:51 2015 +1300

Bug 1515484: Fix the online users pagination to use json

This is 2 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I7741ae0d436d7e11fe248307936757d3d8027cc1
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5714
Committed: https://git.mahara.org/mahara/mahara/commit/80858bc83b86fe80c8100a28490460d76e84c7f5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 80858bc83b86fe80c8100a28490460d76e84c7f5
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 17:16:06 2015 +1300

Bug 1515484: Fix the portfolio page list pagination to use json

This is 3 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I4c563a83ee70b24fc0111fe200a3b2d4514b9590
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5715
Committed: https://git.mahara.org/mahara/mahara/commit/c4f2c8c629be1e7d15974942389be04617d280ef
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit c4f2c8c629be1e7d15974942389be04617d280ef
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 18:00:59 2015 +1300

Bug 1515484: Fix the group page list pagination to use json

This is 4 of 6 patches to standardize pagination

behatnotneeded

Change-Id: If89d7a800e4d76c6ec6e7dc44c3b69c73dee9952
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5716
Committed: https://git.mahara.org/mahara/mahara/commit/f053fad75a350d90cf24ff30c8dc08bb6c789ecf
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f053fad75a350d90cf24ff30c8dc08bb6c789ecf
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 19:02:15 2015 +1300

Bug 1515484: Fix the institution page list pagination to use json

This is 5 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I7f0160df6459b96006febbca9d8d57cf26c3ed7f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5717
Committed: https://git.mahara.org/mahara/mahara/commit/afe2ad54ca1685c8a2f62081a1c1e6751435d4e5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit afe2ad54ca1685c8a2f62081a1c1e6751435d4e5
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 19:35:20 2015 +1300

Bug 1515484: Fix the site page list pagination to use json

This is 6 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I70f77d04efa55a14680da5427acc1310b517ec3b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5726
Committed: https://git.mahara.org/mahara/mahara/commit/25a7b701cfe05c650914a93f17f64e397a9e824a
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 25a7b701cfe05c650914a93f17f64e397a9e824a
Author: Robert Lyon <email address hidden>
Date: Tue Nov 17 13:35:41 2015 +1300

Bug 1515484: Fix the institution index page so that pagination setlimit can work

behatnotneeded

Change-Id: I9f2534a11a71f6c356ee836db1386a0c1bbebf8d
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5732
Committed: https://git.mahara.org/mahara/mahara/commit/b86741d127024bde8347b5e09dc8c871a8d003da
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit b86741d127024bde8347b5e09dc8c871a8d003da
Author: Robert Lyon <email address hidden>
Date: Wed Nov 18 09:54:39 2015 +1300

Bug 1515484: The my views block on dashboard had broken pagination

It was trying to pass an unset $userid - which should really be the
owner of the dashboard page's id

behatnotneeded

Change-Id: I8886f37275b0b7ff9be823a0c3f2b271baf67afc
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5735
Committed: https://git.mahara.org/mahara/mahara/commit/117ab5313073893d4b87cc8a422712aafe11af33
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 117ab5313073893d4b87cc8a422712aafe11af33
Author: Robert Lyon <email address hidden>
Date: Wed Nov 18 16:08:45 2015 +1300

Bug 1515484: Fix some more places where pagination is wrong

Includes:
1) Group -> my groups
2) Group -> find groups
3) Admin -> Users -> Suspended ...
4) Admin -> Group
5) Content -> Journal -> entries list

This is also to standardize pagination

behatnotneeded

Change-Id: Iad9edc668b3f5f8e8c71408c842cbf28a69fa2f4
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5742
Committed: https://git.mahara.org/mahara/mahara/commit/fb3360b0d9ce397450bb76f3b02f762368da6c34
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit fb3360b0d9ce397450bb76f3b02f762368da6c34
Author: Robert Lyon <email address hidden>
Date: Fri Nov 20 13:50:05 2015 +1300

Bug 1515484: fixing pagination on webservices logs page

This was mostly right but the json bits were not hooked up
Also fixing layout of table to be more like a similar
table, User -> Search

behatnotneeded

Change-Id: I9b29c8cc780535efae5b74b4f1eedb60d2227625
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-11-27
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5875

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5876

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5877

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5878

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5884

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5882

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5883

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5885

Hi Robert I just created 22 pages to see how the pagination behaves on three pages.

After creating them I proceeded to My Groups and selected "All my groups" from the filter.

I selected "1" from the "Results per page" drop down and of course I was shown the first of my groups "Pagination Group".

I then proceeded to click on the progress arrow which took me to the second page "Pagination Group1".

However on the third click I was shown the 10th page which is very wrong because 2 comes after 1 and that's what I was expecting.

Unless it's been coded like that to jump from 1 to 10 instead of 1 to 2. Anyway please see the attached.

We sorted out Charlie's problem. There is no incorrect behavior in Mahara. Groups were listed in alphabetical order correctly.

Changed in mahara:
status: Fix Committed → In Progress

Reviewed: https://reviews.mahara.org/5875
Committed: https://git.mahara.org/mahara/mahara/commit/a5bb35a483df53648cc11416ebdae8225f68a4d6
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit a5bb35a483df53648cc11416ebdae8225f68a4d6
Author: Robert Lyon <email address hidden>
Date: Fri Nov 13 11:21:03 2015 +1300

Bug 1515484: Fix the site fonts pagination to use json

This is one of 6 patches to standardize pagination

To help test this there is a zip file in Bug 1515774

behatnotneeded

Change-Id: I278ae35cdbe83929cd8eca2b28d1191cab5c3ea6
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit d9d1cd844c236094f3332cb12e2f1ee0300ad16a)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5876
Committed: https://git.mahara.org/mahara/mahara/commit/83504279dd92b0bcd9bb5324e53833d7ec7a23b7
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 83504279dd92b0bcd9bb5324e53833d7ec7a23b7
Author: Robert Lyon <email address hidden>
Date: Fri Nov 13 11:56:51 2015 +1300

Bug 1515484: Fix the online users pagination to use json

This is 2 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I7741ae0d436d7e11fe248307936757d3d8027cc1
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit c4d63db65c8e10d91fc4d1f4158d5e79bdd54ca0)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5877
Committed: https://git.mahara.org/mahara/mahara/commit/2d4c17104723df6468380eeef29c55ef4bced0da
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 2d4c17104723df6468380eeef29c55ef4bced0da
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 17:16:06 2015 +1300

Bug 1515484: Fix the portfolio page list pagination to use json

This is 3 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I4c563a83ee70b24fc0111fe200a3b2d4514b9590
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 80858bc83b86fe80c8100a28490460d76e84c7f5)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5878
Committed: https://git.mahara.org/mahara/mahara/commit/c30fbb9d64982b3e47296c0dbcdef8ff5a2ec0c0
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit c30fbb9d64982b3e47296c0dbcdef8ff5a2ec0c0
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 18:00:59 2015 +1300

Bug 1515484: Fix the group page list pagination to use json

This is 4 of 6 patches to standardize pagination

behatnotneeded

Change-Id: If89d7a800e4d76c6ec6e7dc44c3b69c73dee9952
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5882
Committed: https://git.mahara.org/mahara/mahara/commit/47dbf5242e8b42b8278f55334dc580ee5ebe4545
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 47dbf5242e8b42b8278f55334dc580ee5ebe4545
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 19:02:15 2015 +1300

Bug 1515484: Fix the institution page list pagination to use json

This is 5 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I7f0160df6459b96006febbca9d8d57cf26c3ed7f
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5883
Committed: https://git.mahara.org/mahara/mahara/commit/d6f9d31fc33430d9f7bb2f9ba36d2d5094f93b4b
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit d6f9d31fc33430d9f7bb2f9ba36d2d5094f93b4b
Author: Robert Lyon <email address hidden>
Date: Sat Nov 14 19:35:20 2015 +1300

Bug 1515484: Fix the site page list pagination to use json

This is 6 of 6 patches to standardize pagination

behatnotneeded

Change-Id: I70f77d04efa55a14680da5427acc1310b517ec3b
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5884
Committed: https://git.mahara.org/mahara/mahara/commit/582960673a157f98c241ad7812741041b625db3a
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 582960673a157f98c241ad7812741041b625db3a
Author: Robert Lyon <email address hidden>
Date: Tue Nov 17 13:35:41 2015 +1300

Bug 1515484: Fix the institution index page so that pagination setlimit can work

behatnotneeded

Change-Id: I9f2534a11a71f6c356ee836db1386a0c1bbebf8d
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5885
Committed: https://git.mahara.org/mahara/mahara/commit/dc2cf59c9dfec2cc5aae9cef23525dd15426839d
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit dc2cf59c9dfec2cc5aae9cef23525dd15426839d
Author: Robert Lyon <email address hidden>
Date: Fri Nov 20 13:50:05 2015 +1300

Bug 1515484: fixing pagination on webservices logs page

This was mostly right but the json bits were not hooked up
Also fixing layout of table to be more like a similar
table, User -> Search

behatnotneeded

Change-Id: I9b29c8cc780535efae5b74b4f1eedb60d2227625
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5873
Committed: https://git.mahara.org/mahara/mahara/commit/040a4081166bb8b6cd988ac24a7e82a540a1bc1f
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 040a4081166bb8b6cd988ac24a7e82a540a1bc1f
Author: Robert Lyon <email address hidden>
Date: Wed Nov 18 16:08:45 2015 +1300

Bug 1515484: Fix some more places where pagination is wrong

Includes:
1) Group -> my groups
2) Group -> find groups
3) Admin -> Users -> Suspended ...
4) Admin -> Group
5) Content -> Journal -> entries list

This is also to standardize pagination

behatnotneeded

Change-Id: Iad9edc668b3f5f8e8c71408c842cbf28a69fa2f4
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 117ab5313073893d4b87cc8a422712aafe11af33)

Changed in mahara:
status: In Progress → Fix Committed
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers